Bug 54986 - redhat supplied patch in php-3.0.18 rpm breaks form-data posts
Summary: redhat supplied patch in php-3.0.18 rpm breaks form-data posts
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-23 23:06 UTC by Joe Pruett
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-08 00:00:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Pruett 2001-10-23 23:06:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.2.19-6.2.7.pptp.joey i586)

Description of problem:
php pages that try to use multipart/form-data encoding will end up with
crlf data prepended to all data values.  i noticed a redhat supplied patch
in the source rpm, so i removed that and recompiled and things worked just
fine.  the patch claims to be trying to fix problems with unquoted variable
names, but i haven't spent any time try to reproduce that problem.  so that
patch needs to be removed, or reworked.  i noticed another bug report about
php that just said that php didn't work anymore after the patches, so this
could be the problem they saw.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
<html>
<head>
<title>
foo
</title>
</head>
<body>
<?
        if ($foo != "") {
                echo "<pre>\n";
                for ($i = 0; $i < strlen($foo); $i++) {
                        echo ord(substr($foo, $i, 1)), "\n";
                }
                echo "</pre>";
        }
?>
<form enctype="multipart/form-data" method=post>
<input type=text name=foo length=40>
<input type=submit>
</form>
</body>
</html>


Additional info:

Comment 1 Phil Copeland 2002-08-06 17:58:34 UTC
There is a php errata that I've made thats in the works for the 7.x series and
AS2.1, I'll be making a 6.2 errata this week but I cannot give an estimate on
how long it will be in QA before release (the 7.x stuff has been in the QA queue
for 5 weeks already)..

Phil
=--=


Note You need to log in before you can comment on or make changes to this bug.